import os
import argparse
from sixfeetup.todo.todo import ToDo


def main():
    parser = argparse.ArgumentParser(description="Get your todo list")
    parser.add_argument(
        "-u", "--username",
        metavar="username",
        default=os.getlogin(),
        help=(
            "Your Trac username (if not given, your current system login will "
            "be used)")
    )
    parser.add_argument(
        "-c", "--component",
        metavar="component",
        default="",
        help=(
            "Filter the list by component")
    )
    options = parser.parse_args()
    todo = ToDo(options.component)
    todo.user_credentials(options.username)
    todo.initialize_server()
    todo.get_tickets()
    todo.show_list()


if __name__ == '__main__':
    main()
